Name:           pango
Version:        1.43.0
Release:        3
Summary:        A library for layout and rendering of text

License:        LGPLv2+
URL:            https://pango.gnome.org/
Source0:        https://ftp.gnome.org/pub/GNOME/sources/pango/1.43/pango-1.43.0.tar.xz

Patch6000:      CVE-2019-1010238.patch

BuildRequires:  pkgconfig(cairo) >= 1.12.10 fontconfig >= 2.11.91 pkgconfig(freetype2) >= 2.1.5
BuildRequires:  pkgconfig(fribidi) >= 1.0 pkgconfig(glib-2.0) >= 2.33.12 pkgconfig(harfbuzz) >= 1.4.2 
BuildRequires:  pkgconfig(xft) >= 2.0.0 pkgconfig(libthai) >= 0.1.9 pkgconfig(gobject-introspection-1.0) 
BuildRequires:  cairo-gobject-devel gtk-doc meson help2man gcc gcc-c++ libxslt

Requires:       cairo >= 1.12.10 fontconfig >= 2.11.91 freetype >= 2.1.5 fribidi >= 1.0
Requires:       glib2 >= 2.33.12 harfbuzz >= 1.4.2 libXft >= 2.0.0 libthai >= 0.1.9

%description
Pango is a library for layout and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout
is needed; however, most of the work on Pango so far has been done using 
the GTK+ widget toolkit as a test platform. Pango forms the core of text
and font handling for GTK+-2.x.

%package        devel
Summary:        Development environment for %{name}
Requires:       %{name} = %{version}-%{release} freetype-devel >= 2.1.5
Requires:       glib2-devel >= 2.33.12 fontconfig-devel >= 2.11.91 cairo-devel >= 1.12.10
Provides:       %{name}-tests
Obsoletes:      %{name}-tests

%description    devel
The %{name}-devel package contains libraries header files and tests for
the %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Denable_docs=true
%meson_build

%install
%meson_install

test -e %{buildroot}%{_libdir}/libpangoxft-1.0.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}-list
%{_bindir}/%{name}-view
%{_libdir}/libpango*-1.0.so.*
%{_libdir}/girepository-1.0/Pango*-1.0.typelib

%files devel
%{_includedir}/pango-1.0/pango/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/pango*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/installed-tests/pango/*.test
%{_libexecdir}/installed-tests/pango/

%files help
%doc NEWS 
%doc %{_datadir}/gtk-doc/html/pango
%{_mandir}/man1/pango-view.1.gz

%changelog
* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the libxslt in buildrequires

* Wed Sep 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-2
- Type:cves
- ID:CVE-2019-1010238
- SUG:NA
- DESC:fix CVE-2019-1010238

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.43.0-1
- Package Init

